/*	Obstacle.cpp
 *
 *	Robert Rose June 17, 2005
 *
 *	Copyright (c) 2005 Robert Rose
 *
 *	Permission is granted to do whatever you want with this code as long
 *	as the author is given due credit.
 *	
 */

#include "Nogredex.h"
#include <Ogre.h>


#include "Obstacle.h"
#include "Agent.h"

CObstacle::CObstacle(NogredexDemoFrameListener *nogre_env, Vector3 &pos, Vector3 &dim)
{
	_nogre_env = nogre_env;

	Vector3 min = pos - dim - Vector3(0.5, 0, 0.5);
	Vector3 max = pos + dim + Vector3(0.5, 0, 0.5);
	_obj = _nogre_env->addBox("Material/basicBlue", MAT_RUBBER, pos, dim);
	_box.setExtents(min, max);

	// dont let the obstacle move
	// if we let it move then its tricky getting the axis aligned box back out of it
	// and i don't want to deal with that problem for this demo
	_obj->actor->raiseBodyFlag(NX_BF_KINEMATIC);
}

CObstacle::~CObstacle(void)
{
}

